<?php

/**
 * Typography Setting
 *
 * @package aster_ebooks
 */

// Typography Setting
$wp_customize->add_section(
    'aster_ebooks_typography_setting',
    array(
        'panel' => 'aster_ebooks_theme_options',
        'title' => esc_html__( 'Typography Setting', 'aster-ebooks' ),
    )
);

$wp_customize->add_setting(
    'aster_ebooks_site_title_font',
    array(
        'default'           => 'Raleway',
        'sanitize_callback' => 'aster_ebooks_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'aster_ebooks_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'aster-ebooks' ),
        'section'  => 'aster_ebooks_typography_setting',
        'settings' => 'aster_ebooks_site_title_font',
        'type'     => 'select',
        'choices'  => aster_ebooks_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'aster_ebooks_site_description_font',
	array(
		'default'           => 'Raleway',
		'sanitize_callback' => 'aster_ebooks_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'aster_ebooks_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'aster-ebooks' ),
		'section'  => 'aster_ebooks_typography_setting',
		'settings' => 'aster_ebooks_site_description_font',
		'type'     => 'select',
		'choices'  => aster_ebooks_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'aster_ebooks_header_font',
	array(
		'default'           => 'Plus Jakarta Sans',
		'sanitize_callback' => 'aster_ebooks_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'aster_ebooks_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'aster-ebooks' ),
		'section'  => 'aster_ebooks_typography_setting',
		'settings' => 'aster_ebooks_header_font',
		'type'     => 'select',
		'choices'  => aster_ebooks_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'aster_ebooks_content_font',
	array(
		'default'           => 'Plus Jakarta Sans',
		'sanitize_callback' => 'aster_ebooks_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'aster_ebooks_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'aster-ebooks' ),
		'section'  => 'aster_ebooks_typography_setting',
		'settings' => 'aster_ebooks_content_font',
		'type'     => 'select',
		'choices'  => aster_ebooks_get_all_google_font_families(),
	)
);
